#!/bin/bash

set -e

function main {
    echo "Setup best practice default repositories, see http://httpredir.debian.org/"
    tee /etc/apt/sources.list <<EOF
    deb http://httpredir.debian.org/debian jessie main contrib
    deb http://httpredir.debian.org/debian jessie-updates main contrib
    deb http://httpredir.debian.org/debian jessie-backports main contrib
    deb http://security.debian.org/ jessie/updates main
EOF
    apt update

    echo "Install important system tools."
    apt install --no-install-recommends -y htop ne iotop curl wget zsh figlet iptraf

    echo "Use zsh!"
    wget -O /root/.zshrc https://github.com/slashbeast/things/raw/master/configs/DOTzshrc
    chsh -s /bin/zsh

    echo "Nice motd."
    figlet `hostname -f` > /etc/motd

    echo "Install system and security utils."
    apt install --no-install-recommends -y apticron logcheck ssmtp
}


main
